| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_rtc_int_cb Struct Reference
Real Time Clock (RTC)

RTC callback functions structure. More...

`#include <rtc.h>`

## Data Fields
func_ptr_t | pfnTimeWrtErrCallback
| Callback function pointer for Timer writing error Interrupt.
func_ptr_t | pfnAlarmCallback
| Callback function pointer for Alarm Interrupt.
func_ptr_t | pfnTimerCallback
| Callback function pointer for Timer Interrupt.
func_ptr_t | pfnHalfSecondCallback
| Callback function pointer for 0.5-Second Interrupt.
func_ptr_t | pfnOneSecondCallback
| Callback function pointer for One Second Interrupt.
func_ptr_t | pfnOneMinuteCallback
| Callback function pointer for One Minute Interrupt.
func_ptr_t | pfnOneHourCallback
| Callback function pointer for One Hour Interrupt.

## Detailed Description

RTC callback functions structure.

Definition at line 324 of file rtc.h.

## Field Documentation

func_ptr_t pfnAlarmCallback

Callback function pointer for Alarm Interrupt.

Definition at line 327 of file rtc.h.

Referenced by Rtc_EnableInt().

func_ptr_t pfnHalfSecondCallback

Callback function pointer for 0.5-Second Interrupt.

Definition at line 329 of file rtc.h.

Referenced by Rtc_EnableInt().

func_ptr_t pfnOneHourCallback

Callback function pointer for One Hour Interrupt.

Definition at line 332 of file rtc.h.

Referenced by Rtc_EnableInt().

func_ptr_t pfnOneMinuteCallback

Callback function pointer for One Minute Interrupt.

Definition at line 331 of file rtc.h.

Referenced by Rtc_EnableInt().

func_ptr_t pfnOneSecondCallback

Callback function pointer for One Second Interrupt.

Definition at line 330 of file rtc.h.

Referenced by Rtc_EnableInt().

func_ptr_t pfnTimerCallback

Callback function pointer for Timer Interrupt.

Definition at line 328 of file rtc.h.

Referenced by Rtc_EnableInt().

func_ptr_t pfnTimeWrtErrCallback

Callback function pointer for Timer writing error Interrupt.

Definition at line 326 of file rtc.h.

Referenced by Rtc_EnableInt().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/rtc/rtc.h